#
# spec file for package coreutils (Version 5.93)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           coreutils
BuildRequires:  help2man libacl-devel pam-devel
Url:            http://www.gnu.org/software/coreutils/
License:        GPL v2 or later
Group:          System/Base
Provides:       fileutil fileutils sh-utils sh_utils shellutl stat textutil textutils textutl txtutils
Obsoletes:      fileutil fileutils sh-utils sh_utils stat textutil textutils
Obsoletes:      libselinux <= 1.23.11-3
Obsoletes:      libselinux-32bit >= 9
Obsoletes:      libselinux-64bit = 9
Obsoletes:      libselinux-x86 = 9
AutoReqProv:    on
PreReq:         %{install_info_prereq}
Version:        5.93
Release:        22.21.17
Summary:        GNU Core Utilities
Source:         coreutils-%{version}.tar.bz2
Source1:        su.pamd
Source2:        su.default
Source3:        hu.po
Source4:        coreutils-5.93.de.po.bz2
Patch:          coreutils-%{version}.diff
Patch1:         coreutils-acl.diff
Patch2:         coreutils-acl+posix.diff
Patch3:         coreutils-xattr.diff
Patch4:         coreutils-5.3.0-i18n-0.1.patch
Patch5:         i18n-uninit.diff
Patch6:         i18n-infloop.diff
Patch7:         coreutils-5.0-pam-env.patch
Patch8:         coreutils-sysinfo.diff
Patch9:         i18n-monthsort.diff
Patch16:        invalid-ids.diff
Patch17:        no-no.diff
Patch20:        coreutils-5.3.0-pie.diff
Patch21:        coreutils-5.3.0-sbin4su.diff
Patch23:        coreutils-5.93-futimesat.diff
Patch24:        stat-print-newline.diff
Patch25:        cp-RL-dir-check.diff
Patch26:        st-blksize.diff
Patch27:        coreutils-bnc#477858-getgrouplist.patch
Patch28:        coreutils-bnc#477858-dev-full-test.patch
Patch29:        coreutils-ignore-trailing-slash.patch
Patch30:        coreutils-bnc#610731-fix_loop_detection.patch
Patch31:        coreutils-bnc#654529-fix_fts.patch
Patch32:        coreutils-bnc#557051-DST_for_date.patch
Patch33:        coreutils-bnc#661186-cat_with_options.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Basic file, shell, and text manipulation utilities.  The package
contains the following programs:

basename cat chgrp chmod chown chroot cksum comm cp csplit cut date dd
df dir dircolors dirname du echo env expand expr factor false fmt fold
install groups head id join kill link ln logname ls md5sum mkdir mkfifo
mknod mv nice nl nohup od paste pathchk pinky pr printenv printf ptx
pwd readlink rm rmdir seq sha1sum shred sleep sort split stat stty su
sum sync tac tail tee test touch tr true tsort tty uname unexpand uniq
unlink uptime users vdir wc who whoami yes



Authors:
--------
    Arnold Robbins <arnold@audiofax.com>
    Colin Plumb <colin@nyx.net>
    David M. Ihnat
    David MacKenzie <djm@gnu.org>
    Franois Pinard <pinard@iro.umontreal.ca>
    H. Peter Anvin <hpa@transmeta.com>
    Ian Lance Taylor <ian@airs.com>
    Jay Lepreau <lepreau@cs.utah.edu>
    Jim Kingdon
    Jim Meyering <jim@meyering.net>
    Joseph Arceneaux
    Kaveh Ghazi
    Kayvan Aghaiepour
    Larry McVoy <lm@sgi.com>
    Mark Kettenis <kettenis@phys.uva.nl>
    Michael Meskes
    Michael Stone <mstone@debian.org>
    Mike Haertel
    Mike Parker
    Paul Eggert <eggert@twinsun.com>
    Paul Rubin <phr@ocf.berkeley.edu>
    Pete TerMaat
    Randy Smith
    Richard M. Stallman <rms@gnu.org>
    Richard Mlynarik
    Roland Huebner <ro-huebner@gmx.de>
    Roland McGrath <roland@redhat.com>
    Ross Paterson <rap@doc.ic.ac.uk>
    Scott Bartram
    Scott Miller
    Stuart Kemp <skemp@peter.bmc.com>
    Torbjorn Granlund <tege@nada.kth.se>
    Ulrich Drepper <drepper@redhat.com>

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5
%patch6
%patch
%patch7 -p1
%patch8 -p1
%patch9
%patch16 -p1
%patch17
%patch20
%patch21
%patch23
%patch24
%patch25
%patch26
%patch27
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31
%patch32
%patch33
chmod +x tests/cp/cp-deref tests/misc/cat-proc
# German translation (also see build section for rebuilding .gmo)
rm -f po/no.*
cp %{S:3} po
bzip2 -dc %{S:4} > po/de.po

%build
%{suse_update_config -f}
AUTOPOINT=true autoreconf --force --install
# We don't want to use the slow getcwd replacement.
gl_cv_func_getcwd_path_max=yes \
./configure CFLAGS="-DUSE_PAM $RPM_OPT_FLAGS -Wall" \
  	    DEFAULT_POSIX2_VERSION=199209 \
	    --prefix=%{_prefix} --mandir=%{_mandir} \
	    --infodir=%{_infodir} --without-included-regex
make %{?jobs:-j%jobs} PAMLIBS="-lpam -ldl"
make -C po update-po
if test $EUID -eq 0; then
  su nobody -c make check
  make check-root VERBOSE=yes
else
%ifarch %arm
  make -k check VERBOSE=yes || echo make check failed
%else
  make check VERBOSE=yes
%endif
fi

%install
make DESTDIR="$RPM_BUILD_ROOT" install
test -f $RPM_BUILD_ROOT%{_bindir}/su || \
  install src/su $RPM_BUILD_ROOT%{_bindir}/su
install -d $RPM_BUILD_ROOT/bin
for i in basename cat chgrp chmod chown cp date dd df echo false kill ln ls mkdir mknod mv pwd rm rmdir sleep sort stty su sync touch true uname
do
	mv $RPM_BUILD_ROOT%{_bindir}/$i $RPM_BUILD_ROOT/bin/$i
	test $i = su && echo -n '%%attr(4755,root,root) '
	echo /bin/$i
done > bin.files
ln -sf ../../bin/basename ../../bin/sort ../../bin/touch $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
install -m 644 $RPM_SOURCE_DIR/su.pamd $RPM_BUILD_ROOT/etc/pam.d/su
install -d -m 755 $RPM_BUILD_ROOT/etc/default
install -m 644 $RPM_SOURCE_DIR/su.default $RPM_BUILD_ROOT/etc/default/su
install -d $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
ln -sf /bin/su $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/sux
rm -f $RPM_BUILD_ROOT%{_bindir}/hostid
rm -f $RPM_BUILD_ROOT%{_bindir}/hostname
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/hostid.1
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/hostname.1
rm -rf $RPM_BUILD_ROOT/%{_prefix}/share/locale/*/LC_TIME/coreutils.mo

%post
%install_info --info-dir=%{_infodir} %{_infodir}/coreutils.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/coreutils.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files -f bin.files
%defattr(-,root,root)
%doc README NEWS
%config /etc/pam.d/su
%config(noreplace) /etc/default/su
%{_bindir}/*
%{_prefix}/X11R6/bin/sux
%doc %{_infodir}/coreutils.info*.gz
%{_prefix}/share/locale/*/LC_MESSAGES/coreutils.mo
%doc %{_mandir}/man1/*.1.gz

%changelog
* Mon Jan 10 2011 pth@suse.de
- Fix cat with options not displaying some files from /proc or /sys
  (bnc#661186).
- Update message catalogs.
- Add complete german translation.
* Tue Jan  4 2011 pth@suse.de
- Add the fix from bnc#557051 that makes date respect DST.
* Thu Dec  2 2010 pth@suse.de
- Backport the fixes for fts.c from 5.94 to fix the double free
  that leads to a segfault (bnc#654529).
* Wed Jun  2 2010 pth@suse.de
- Fix misdetection of loops in readlink (bnc#610731).
* Tue Jun  1 2010 pth@suse.de
- Backport upstreams patch to fix the handling of trailing
  slashes (bnc#545797).
- Refresh some patches so that they apply with --fuzz-0.
- Don't reverse stat-print-newline.diff but instead apply
  a patch that reverts the change (because quilt can't handle
  patch reversion).
* Thu Apr 16 2009 pth@suse.de
- Suppress error message "out of space" from test suite to
  prevent erroneous rebuilding (bnc#477858).
- Make id use getgrouplist(3) instead of getgrent(3) to significantly
  speed up the lookup of groups (bnc#477858).
* Tue Feb 17 2009 schwab@suse.de
- Fix sbin patch [#202632].
* Mon Feb 12 2007 schwab@suse.de
- Update Hungarian translation [#242134].
* Tue Jan  9 2007 schwab@suse.de
- Fix localized month sorting [#231790].
* Mon Oct 16 2006 schwab@suse.de
- Avoid getcwd replacement [#209321].
* Fri Oct 13 2006 schwab@suse.de
- Don't ignore block sizes bigger than 4MB [#210024].
* Thu Oct  5 2006 agruen@suse.de
- cp: Replace the old --attributes=regex option with
  - -preserve=xattrs.  Only copy extended attributes if this
  option is given. Use libattr's new copy_attr_action() function
  to check which attributes to copy in /etc/xattr.conf (169033).
* Fri Apr  7 2006 cthiel@suse.de
- added Obsoletes: libselinux (hack for bug #156519)
* Mon Feb 13 2006 schwab@suse.de
- Fix spurious failure with cp -LR.
- Move check for /proc.
* Mon Jan 30 2006 schwab@suse.de
- Always print newline after format in stat [#145905].
- Barf if /proc is not mounted.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 meissner@suse.de
- Do not strip /bin/su.
* Wed Jan 11 2006 schwab@suse.de
- Fix infloop when ignoring characters [#141756].
* Mon Dec 19 2005 kukuk@suse.de
- Add fallback if futimesat does not work
* Mon Dec  5 2005 ke@suse.de
- Fix typo in German translation file; reported by Olaf Hering
  [#105863].
* Mon Dec  5 2005 schwab@suse.de
- Drop SELinux support.
* Tue Nov 15 2005 uli@suse.de
- some tests fail on ARM (QEMU problem?); ignore for now
* Sun Nov  6 2005 schwab@suse.de
- Update to coreutils 5.93.
* Wed Nov  2 2005 schwab@suse.de
- Update to coreutils 5.92.
- Fix invalid use of va_list.
- Add some fixes from cvs.
* Thu Oct 20 2005 schwab@suse.de
- Reenable DEFAULT_POSIX2_VERSION.
* Wed Oct 19 2005 agruen@suse.de
- Add acl and xattr patches.
* Mon Oct 17 2005 schwab@suse.de
- Update to coreutils 5.91.
* Sat Oct  1 2005 schwab@suse.de
- Update to coreutils 5.90.
- Disable acl patches for now.
* Sun Sep 25 2005 schwab@suse.de
- Fix warning.
* Wed Aug 24 2005 werner@suse.de
- Let `su' handle /sbin and /usr/sbin in path
* Mon Aug  1 2005 kukuk@suse.de
- And yet another uninitialized variable fix.
* Fri Jul 29 2005 schwab@suse.de
- Fix another uninitialized variable.
* Wed Jul  6 2005 schwab@suse.de
- Fix uninitialized variable.
* Mon Jul  4 2005 schwab@suse.de
- Update i18n patch.
* Mon Jun 20 2005 schwab@suse.de
- Fix last change.
* Wed Jun 15 2005 kukuk@suse.de
- Compile/link su with -fpie/-pie
* Sat May 21 2005 kukuk@suse.de
- Add support for /etc/default/su
* Mon May  2 2005 kukuk@suse.de
- Don't overwrite PATH if su is called with "-" option.
* Wed Mar  2 2005 schwab@suse.de
- Fix merge error [#67103].
* Mon Feb 28 2005 schwab@suse.de
- Call pam_getenvlist before pam_end.
* Mon Feb 28 2005 schwab@suse.de
- Link su to sux [#66830].
* Wed Feb  2 2005 schwab@suse.de
- Handle xfs and jfs in stat [#50415].
* Wed Feb  2 2005 schwab@suse.de
- Handle subfs like autofs.
* Tue Jan 25 2005 schwab@suse.de
- Fix path_concat.
* Thu Jan 20 2005 schwab@suse.de
- Use pam_xauth [#42238].
* Fri Jan 14 2005 schwab@suse.de
- Fix merge error [#49853].
* Tue Jan 11 2005 schwab@suse.de
- Update to coreutils 5.3.0.
* Mon Nov  8 2004 kukuk@suse.de
- Use common-* PAM config files for su PAM configuration
* Mon Oct 25 2004 schwab@suse.de
- Fix last change.
- Fix selinux patch.
* Wed Oct 20 2004 ro@suse.de
- remove no language support (nb is already there)
* Sat Oct  2 2004 agruen@suse.de
- #46609: Fix chown and chgrp utilities for uid == (uid_t) -1 and
  gid == (gid_t) -1 case.
- Add missing #include to have NULL defined in lib/acl.c
* Thu Sep  9 2004 schwab@suse.de
- Fix uninitialized variable [#44929].
- Fix selinux patch.
* Wed Aug 25 2004 schwab@suse.de
- Fix hardlink accounting patch.
* Mon May 24 2004 schwab@suse.de
- Update testsuite for change in chown.
* Mon May 24 2004 schwab@suse.de
- Precompute length in caller of ismbblank to avoid quadratic behaviour
  [#40741].
* Mon May 17 2004 schwab@suse.de
- Fix handling of symlinks in chown [#40691].
* Sat Apr 17 2004 schwab@suse.de
- Pacify autobuild.
* Fri Apr  2 2004 schwab@suse.de
- Add support for IUTF8 in stty.
* Tue Mar 30 2004 schwab@suse.de
- Fix merge error in selinux patch [#37431].
* Mon Mar 29 2004 schwab@suse.de
- Fix hardlink accounting in du.
* Mon Mar 22 2004 schwab@suse.de
- Fix race in the testsuite.
* Mon Mar 15 2004 kukuk@suse.de
- Update SELinux patch to new libselinux interface
* Mon Mar 15 2004 schwab@suse.de
- Fix date parsing.
* Sat Mar 13 2004 schwab@suse.de
- Update to coreutils 5.2.1.
  * Includes mv fix.
  * Fix sparse handling in cp.
  * Fix descriptor leak in nohup.
  * Fix POSIX issues in expr.
  * Always allow user.group in chown.
* Fri Mar 12 2004 schwab@suse.de
- Fix sysinfo patch [#35337].
* Fri Mar 12 2004 schwab@suse.de
- Fix preserving links in mv.
* Wed Mar  3 2004 schwab@suse.de
- Fix help output from mkdir.
* Fri Feb 20 2004 schwab@suse.de
- Update to coreutils 5.2.0.
* Mon Feb  9 2004 schwab@suse.de
- Update to coreutils 5.1.3.
* Mon Feb  2 2004 agruen@suse.de
- Update acl and xattr patches, and add some Changelog text.
* Mon Jan 26 2004 schwab@suse.de
- Update to coreutils 5.1.2.
* Fri Jan 23 2004 schwab@suse.de
- Don't link [ to test.
* Mon Jan 19 2004 schwab@suse.de
- Update to coreutils 5.1.1.
- Default to POSIX.2-1992.
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Fri Jan  9 2004 schwab@suse.de
- Fix spurious test failure.
* Thu Jan  8 2004 schwab@suse.de
- Update to coreutils 5.1.0.
* Fri Dec 12 2003 schwab@suse.de
- Fix use of AC_SEARCH_LIBS.
* Tue Dec  9 2003 schwab@suse.de
- Cleanup SELinux patch.
* Tue Dec  9 2003 kukuk@suse.de
- Add SELinux patch.
* Wed Nov 26 2003 schwab@suse.de
- Fix sorting of months in multibyte case [#33299].
* Wed Oct 22 2003 schwab@suse.de
- Fix building without extended attributes.
* Wed Oct 15 2003 schwab@suse.de
- Cleanup sysinfo patch.
* Fri Sep 19 2003 kukuk@suse.de
- Add missing textutil to Provides
* Mon Aug 25 2003 agruen@suse.de
- Fix uname command to report reasonable processor and platform
  information (coreutils-sysinfo.diff: based on similar RedHat
  patch).
* Mon Jul 21 2003 schwab@suse.de
- Fix typo in i18n patch for join.
* Fri Jul 18 2003 schwab@suse.de
- Avoid abort in sort on inconsistent locales [#26506].
* Tue Jul 15 2003 okir@suse.de
- make su export variables declared via pam_putenv
* Wed May 28 2003 kukuk@suse.de
- PAM fixes for su:
  - Move pam_open_session call before dropping privilegs, session
    management needs max. possible credentials and needs to be done
    before we change into the home directory of the user.
  - Don't set PAM_TTY and PAM_RUSER to fake names.
  - Use conversion function from libpam_misc.
* Fri May 16 2003 schwab@suse.de
- Fix exit status from su.
* Thu Apr 24 2003 ro@suse.de
- fix head calling syntax
* Mon Apr  7 2003 schwab@suse.de
- Only delete info entries when removing last version.
* Fri Apr  4 2003 schwab@suse.de
- Update to coreutils 5.0.
* Mon Mar 31 2003 schwab@suse.de
- Update to coreutils 4.5.12.
* Thu Mar 20 2003 schwab@suse.de
- Update to coreutils 4.5.11.
* Mon Mar 10 2003 schwab@suse.de
- Fix LFS bug in du [#24960].
* Thu Feb 27 2003 schwab@suse.de
- Readd textutils i18n patches.
* Thu Feb 27 2003 agruen@suse.de
- Per hint from Andreas Schwab, don't use awk in autoconf. (The
  improved test is simpler, too.)
* Thu Feb 27 2003 agruen@suse.de
- Fix autoconf test for attr_copy_file that caused all binaries
  to be linked needlessly against libattr.so.
* Tue Feb 25 2003 agruen@suse.de
- Extended attribute copying: Use the newly exported
  attr_copy_check_permissions() callback exported by libattr.so,
  so that the EA copying done by coreutils is consistent with
  other apps [#24244].
* Mon Feb 24 2003 schwab@suse.de
- Update to coreutils 4.5.8.
  * Fixes bugs in du.
* Mon Feb 17 2003 agruen@suse.de
- Add extended attribute copying patch: Affects cp, mv, install.
  See the cp manual page for details on the changes in cp. The
  mv utility always tries to copy extended attributes; install
  never does.
* Mon Feb 10 2003 schwab@suse.de
- Update to coreutils 4.5.7.
* Fri Feb  7 2003 kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so, use same rules for
  password changing as passwd.
* Thu Feb  6 2003 schwab@suse.de
- Use %%install_info.
* Thu Feb  6 2003 schwab@suse.de
- Update to coreutils 4.5.6.
* Mon Feb  3 2003 schwab@suse.de
- Package created, combining textutils, sh-utils and fileutils.
